summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/iozone
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/iozone')
-rwxr-xr-xsanity/system_light/scripts/iozone/iozone.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/iozone/iozone.sh b/sanity/system_light/scripts/iozone/iozone.sh
new file mode 100755
index 0000000..4c99a87
--- /dev/null
+++ b/sanity/system_light/scripts/iozone/iozone.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+
+#tests the performance by performing actions such as read, write etc.
+
+function main()
+{
+ echo "start:`date +%T`"
+ #time iozone -i 0 -i 1 -i 2 -i 3 -i 4 -i 5 -i 6 -i 7 -i 8 -i 9 -i 10 -i 11 -i 12 -s $FILE_SIZE -r $RECORD_SIZE 2>&1 1>>$LOG_FILE 1>>/tmp/iozone
+ #time iozone -i 0 -i 1 -i 2 -i 3 -i 4 -i 5 -i 6 -i 7 -i 8 -i 9 -i 10 -i 11 -i 12 -s 1m -r 22k 2>&1 1>>$LOG_FILE 1>>/tmp/iozone
+ time iozone -a 2>&1 1>>$LOG_FILE 1>>/tmp/iozone
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ return 0;
+ fi
+}
+
+main "$@"; \ No newline at end of file